# class CFFI

#### package lime.system

Available on all platforms

### Static variables

###

`staticavailable:Bool`

###

`staticenabled:Bool`

### Static methods

###

`staticload (library:String, method:String, args:Int = 0, lazy:Bool = false):Dynamic`

Tries to load a native CFFI primitive on compatible platforms

Parameters:

`library` | The name of the native library (such as "lime")
`method` | The exported primitive method name
`args` | The number of arguments
`lazy` | Whether to load the symbol immediately, or to allow lazy loading

Returns:

The loaded method

###

`staticloadPrime (library:Dynamic, method:Dynamic, signature:Dynamic, lazy:Dynamic):Dynamic`